//@author: antokhio
//@help: template for standard shaders
//@tags: template
//@credits: 

StructuredBuffer<int> buffer;
struct VS_IN
{
	uint vi : SV_VertexID;
};

struct VS_OUT
{
    float4 pos: SV_POSITION;
	float col : COLOR;
};

VS_OUT VS(VS_IN input)
{
    VS_OUT output = (VS_OUT)0;
    output.pos  = float4 (0,0,0,1);
	output.col 	= buffer[input.vi];
    return output;
}

float4 PS(VS_OUT input): SV_Target
{
    return input.col;
}

technique10 Template
{
	pass P0
	{
		SetVertexShader( CompileShader( vs_4_0, VS() ) );
		SetPixelShader( CompileShader( ps_4_0, PS() ) );
	}
}




