//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

StructuredBuffer<float3> Input;

int index;
int thread;
RWStructuredBuffer<float3> Output : BACKBUFFER;


[numthreads(1, 1, 1)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	Output[thread] = Input[index];
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




