//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

//StructuredBuffer<float4> color <bool color=true;>;

Texture2D tex0;
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_LINEAR;AddressU=CLAMP;AddressV=CLAMP;};

RWStructuredBuffer<int> Output : BACKBUFFER;


[numthreads(1, 1, 1)]
void CS( uint3 id : SV_DispatchThreadID )
{
	Output[id.x] = tex0.SampleLevel(s0, float2(0,0),0).r;
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




